    Lorentz function for modeling emission.

emissionlorentz

It is for use when the independent axis is in Angstroms.

>>> create_model_component("emissionlorentz", "mdl")
>>> print(mdl)

Create a component of the emissionlorentz model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s mdl.pos frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.flux thawed 1 -3.40282e+38 3.40282e+38 mdl.kurt frozen 2 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half-maximum of the model in km/s.
pos
The center of the lorentzian, in Angstroms.
flux
The normalisation of the lorentzian.
kurt
The kurtosis of the lorentzian.

Notes

The functional form of the model for points is:

f(x) = flux * 2 * pi * s / l(x)

l(x) = abs(x - pos)^kurt + (0.5 * s)^2

s = pos * fwhm / c

c = speed of light in km/s

and for integrated data sets the low-edge of the grid is used.

The speed of light can be found by inspecting the module variable sherpa.astro.optical.c_km .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023